Page MenuHomePhabricator

Special:Notifications gives a consistent PHP exception on load ("The trash icon is not registered") for users with OpenStackManager notifications
Closed, ResolvedPublic

Description

If I visit https://wikitech.wikimedia.org/wiki/Special:Notifications,

I get every time an exception "InvalidArgumentException"

trace:

#0 /srv/mediawiki/php-1.32.0-wmf.3/extensions/Echo/includes/formatters/SpecialNotificationsFormatter.php(111): EchoIcon::getUrl(string, string)
#1 /srv/mediawiki/php-1.32.0-wmf.3/extensions/Echo/includes/formatters/SpecialNotificationsFormatter.php(18): SpecialNotificationsFormatter->getIconURL(EchoOpenStackManagerPresentationModel)
#2 /srv/mediawiki/php-1.32.0-wmf.3/extensions/Echo/includes/formatters/EchoEventFormatter.php(63): SpecialNotificationsFormatter->formatModel(EchoOpenStackManagerPresentationModel)
#3 /srv/mediawiki/php-1.32.0-wmf.3/extensions/Echo/includes/DataOutputFormatter.php(171): EchoEventFormatter->format(EchoEvent)
#4 /srv/mediawiki/php-1.32.0-wmf.3/extensions/Echo/includes/DataOutputFormatter.php(136): EchoDataOutputFormatter::formatNotification(EchoEvent, User, string, LanguageEn)
#5 /srv/mediawiki/php-1.32.0-wmf.3/extensions/Echo/includes/special/SpecialNotifications.php(59): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User, LanguageEn)
#6 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/SpecialPage.php(522): SpecialNotifications->execute(NULL)
#7 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(524): MediaWiki->main()
#11 /srv/mediawiki/php-1.32.0-wmf.3/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 21 2018, 3:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 434349 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/extensions/Echo@master] Revert "Revert "Revert "Remove unused 'trash' icon"""

https://gerrit.wikimedia.org/r/434349

EchoOpenStackManagerPresentationModel will no longer be loaded on wikitechwiki once T161553: Remove OpenStackManager from Wikitech is deployed, so this error will turn into something else; either the notifications from OSM just won't show up, or there'll be a fatal from it not being able to find a formatter for that kind of notification. Lovely.

Change 434349 abandoned by Jforrester:
Revert "Revert "Revert "Remove unused 'trash' icon"""

Reason:
Fix OpenStackManager to not depend on this icon.

https://gerrit.wikimedia.org/r/434349

Jdforrester-WMF renamed this task from Special:Notifications gives a consistent exception on load ("The trash icon is not registered") to Special:Notifications gives a consistent PHP exception on load ("The trash icon is not registered") for users with OpenStackManager notifications.May 23 2018, 10:24 PM
Vvjjkkii renamed this task from Special:Notifications gives a consistent PHP exception on load ("The trash icon is not registered") for users with OpenStackManager notifications to mjcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
TerraCodes renamed this task from mjcaaaaaaa to Special:Notifications gives a consistent PHP exception on load ("The trash icon is not registered") for users with OpenStackManager notifications.Jul 1 2018, 1:00 PM
TerraCodes raised the priority of this task from High to Needs Triage.
TerraCodes updated the task description. (Show Details)
TerraCodes added subscribers: Aklapper, gerritbot.

Change 443655 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Echo@master] Handle missing presentation model

https://gerrit.wikimedia.org/r/443655

SBisson added a subscriber: SBisson.Jul 3 2018, 4:55 PM

Change 443655 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Echo@master] Handle missing presentation model
https://gerrit.wikimedia.org/r/443655

This change will make the OSM notifications go away without a fight when the extension is undeployed. It does not address the missing icon error.

Change 443655 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Handle missing presentation model

https://gerrit.wikimedia.org/r/443655

Change 444136 had a related patch set uploaded (by Catrope; owner: Sbisson):
[mediawiki/extensions/Echo@wmf/1.32.0-wmf.10] Handle missing presentation model

https://gerrit.wikimedia.org/r/444136

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 5 2018, 10:55 PM

Change 444136 merged by jenkins-bot:
[mediawiki/extensions/Echo@wmf/1.32.0-wmf.10] Handle missing presentation model

https://gerrit.wikimedia.org/r/444136

Mentioned in SAL (#wikimedia-operations) [2018-07-05T23:47:51Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.10/extensions/Echo/: Handle missing presentation model (T195253) (duration: 00m 52s)

Krinkle closed this task as Resolved.Jul 18 2018, 11:33 PM

I am guessing this has been released, but wikitech needs to be upgraded still?

I am guessing this has been released, but wikitech needs to be upgraded still?

This code went to wikitechwiki on 2018-06-27 (but it was bumpy):

19:16 dduvall@deploy1001: Synchronized php: group1 wikis to 1.32.0-wmf.10 (duration: 00m 58s)
19:52 marxarelli: Rolling back group1 due to rise in error rate (T198350)
[-28]
19:17 dduvall@deploy1001: Synchronized php: Group1 (less commons) to 1.32.0-wmf.10 (duration: 00m 57s)

Is it not fixed for you?

Is it not fixed for you?

Time is UTC.

Is it not fixed for you?

Does not work for me either yet on https://wikitech.wikimedia.org/wiki/Special:Notifications , right now:
[33d5d11de7c35ae97e407f9a] 2018-07-19 08:02:18: Fatal exception of type "InvalidArgumentException"

Oh, sorry, yes, this is fixed as soon as T161553: Remove OpenStackManager from Wikitech is actually done.

Tgr reopened this task as Open.Jul 26 2018, 5:55 PM
Tgr added a subscriber: Tgr.

In other words, not fixed.

Change 448082 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/OpenStackManager@master] Add trash icon that was removed from Echo

https://gerrit.wikimedia.org/r/448082

SBisson reassigned this task from SBisson to Tgr.Jul 26 2018, 7:10 PM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson moved this task from Incoming to QA on the Growth-Team (Current Sprint) board.

Change 448082 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] Add trash icon that was removed from Echo

https://gerrit.wikimedia.org/r/448082

Tgr closed this task as Resolved.Jul 26 2018, 9:19 PM

Um, I still get this at https://wikitech.wikimedia.org/wiki/Special:Notifications

Internal error
[3880905b81be8e1c386c6b6a] 2018-08-01 12:52:49: Fatal exception of type "InvalidArgumentException"

Is it because T161553 is still open?

Tgr added a comment.Aug 1 2018, 1:20 PM

I don't think wikitech uses train deploys.

Tgr added a comment.Aug 1 2018, 1:22 PM

It actually does. So this should get fixed today.

Zoglun added a subscriber: Zoglun.Feb 11 2019, 7:51 AM

The bug still exist in extension:echo 1.31 version (commit b56ec9b435c52a744cf7bdc3217e752df8742238 Oct/12-2018). The Mediawiki 1.31 is a LTS version. Thus we wish the fix for this bug in Echo could get merged into REL1_31 branch.
Thank you in advance!

The bug still exist in extension:echo 1.31 version (commit b56ec9b435c52a744cf7bdc3217e752df8742238 Oct/12-2018). The Mediawiki 1.31 is a LTS version. Thus we wish the fix for this bug in Echo could get merged into REL1_31 branch.
Thank you in advance!

You should absolutely not be using the abandonware OpenStackManager, which is the only circumstance in which this would be an issue. However, if you really are, you should cherry-pick https://gerrit.wikimedia.org/r/c/mediawiki/extensions/OpenStackManager/+/448082 on top of the REL1_31 branch.

Tgr added a comment.Feb 11 2019, 4:38 PM

You should absolutely not be using the abandonware OpenStackManager, which is the only circumstance in which this would be an issue.

If it's really abandonware we should change its state to unmaintained. Doesn't really affect LTS support issues though.

Change 489728 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/OpenStackManager@REL1_31] Add trash icon that was removed from Echo

https://gerrit.wikimedia.org/r/489728

Change 489728 merged by Gergő Tisza:
[mediawiki/extensions/OpenStackManager@REL1_31] Add trash icon that was removed from Echo

https://gerrit.wikimedia.org/r/489728

@Jdforrester-WMF:

The bug still exist in extension:echo 1.31 version (commit b56ec9b435c52a744cf7bdc3217e752df8742238 Oct/12-2018). The Mediawiki 1.31 is a LTS version. Thus we wish the fix for this bug in Echo could get merged into REL1_31 branch.
Thank you in advance!

You should absolutely not be using the abandonware OpenStackManager, which is the only circumstance in which this would be an issue. However, if you really are, you should cherry-pick https://gerrit.wikimedia.org/r/c/mediawiki/extensions/OpenStackManager/+/448082 on top of the REL1_31 branch.

This bug can still happened even without that extension. See the referenced task.